CUDA Driver API (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 4.9. Context Management [DEPRECATED]

This section describes the deprecated context management functions of the low-level CUDA driver application programming interface.

### Functions

CUresult cuCtxAttach ( CUcontext* pctx, unsigned int flags )
  Increment a context's usage-count.
CUresult cuCtxDetach ( CUcontext ctx )
  Decrement a context's usage-count.

### Functions

CUresult cuCtxAttach ( CUcontext* pctx, unsigned int flags )
  Increment a context's usage-count.

  ###### Parameters

  `pctx`
    - Returned context handle of the current context
  `flags`
    - Context attach flags (must be 0)

  ###### Returns

  CUDA_SUCCESS, CUDA_ERROR_DEINITIALIZED, CUDA_ERROR_NOT_INITIALIZED, CUDA_ERROR_INVALID_CONTEXT, CUDA_ERROR_INVALID_VALUE

  ###### Deprecated

  Note that this function is deprecated and should not be used.

  ###### Description

  Increments the usage count of the context and passes back a context handle in `*pctx` that must be passed to cuCtxDetach() when the application is done with the context. cuCtxAttach() fails if there is no context current to the thread.

  Currently, the `flags` parameter must be 0.

  Note:

  Note that this function may also return error codes from previous, asynchronous launches.

  See also:

  cuCtxCreate, cuCtxDestroy, cuCtxDetach, cuCtxGetApiVersion, cuCtxGetCacheConfig, cuCtxGetDevice, cuCtxGetFlags, cuCtxGetLimit, cuCtxPopCurrent, cuCtxPushCurrent, cuCtxSetCacheConfig, cuCtxSetLimit, cuCtxSynchronize

CUresult cuCtxDetach ( CUcontext ctx )
  Decrement a context's usage-count.

  ###### Parameters

  `ctx`
    - Context to destroy

  ###### Returns

  CUDA_SUCCESS, CUDA_ERROR_DEINITIALIZED, CUDA_ERROR_NOT_INITIALIZED, CUDA_ERROR_INVALID_CONTEXT

  ###### Deprecated

  Note that this function is deprecated and should not be used.

  ###### Description

  Decrements the usage count of the context `ctx`, and destroys the context if the usage count goes to 0. The context must be a handle that was passed back by cuCtxCreate() or cuCtxAttach(), and must be current to the calling thread.

  Note:

  Note that this function may also return error codes from previous, asynchronous launches.

  See also:

  cuCtxCreate, cuCtxDestroy, cuCtxGetApiVersion, cuCtxGetCacheConfig, cuCtxGetDevice, cuCtxGetFlags, cuCtxGetLimit, cuCtxPopCurrent, cuCtxPushCurrent, cuCtxSetCacheConfig, cuCtxSetLimit, cuCtxSynchronize